<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Name: GEBB Encounter Activity
Description: Encounter Activities
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000">
   <title>GEBB Encounter Activity</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]
Item: (gebb-EncounterActivity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]
Item: (gebb-EncounterActivity)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]"
         id="tmp-r-4d8c6934-5711-43e3-8d71-cedc845d3d4e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="string(@classCode)='ENC'">(gebb-EncounterActivity): de waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="string(@moodCode)='EVN'">(gebb-EncounterActivity): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/@nullFlavor)">(gebb-EncounterActivity): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1'])&lt;=1">(gebb-EncounterActivity): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(gebb-EncounterActivity): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:id)&lt;=1">(gebb-EncounterActivity): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:code)&lt;=1">(gebb-EncounterActivity): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(gebb-EncounterActivity): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(gebb-EncounterActivity): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']
Item: (gebb-EncounterActivity)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']"
         id="tmp-r-37fd8be1-298c-4187-9cd4-847236498966">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.2.10.1'">(gebb-EncounterActivity): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.2.10.1' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:id
Item: (gebb-EncounterActivity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:code
Item: (gebb-EncounterActivity)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:code"
         id="tmp-r-ded33901-fee8-4b9f-acc9-275018908c19">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:originalText)&lt;=1">(gebb-EncounterActivity): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:code/hl7:originalText
Item: (gebb-EncounterActivity)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:code/hl7:originalText"
         id="tmp-r-73c64502-aaff-4541-b527-24ef1ed83025">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:reference)&lt;=1">(gebb-EncounterActivity): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:code/hl7:originalText/hl7:reference
Item: (gebb-EncounterActivity)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:code/hl7:originalText/hl7:reference"
         id="tmp-r-c7c719e5-9861-46fb-a0c5-7e13c0c96064">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(gebb-EncounterActivity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:effectiveTime
Item: (gebb-EncounterActivity)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:effectiveTime"
         id="tmp-r-a401642f-f310-4fa0-abe8-a5d2a56f2e00">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:low)&gt;=1 ">(gebb-EncounterActivity): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:low)&lt;=1">(gebb-EncounterActivity): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:high)&lt;=1">(gebb-EncounterActivity): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:effectiveTime/hl7:low
Item: (gebb-EncounterActivity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:effectiveTime/hl7:high
Item: (gebb-EncounterActivity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer
Item: (gebb-EncounterActivity)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer"
         id="tmp-r-96580317-8134-41ab-bd46-0f893bf6856e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(gebb-EncounterActivity): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:time)&lt;=1">(gebb-EncounterActivity): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:modeCode)&lt;=1">(gebb-EncounterActivity): element hl7:modeCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 ">(gebb-EncounterActivity): element hl7:assignedEntity is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(gebb-EncounterActivity): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9012
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:time
Item: (CDAPerformerBody)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:time"
         id="tmp-r-678b3b64-59f7-49c6-9d67-da8aa540d92e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9012-2014-04-03T162820.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerformerBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9012
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:modeCode
Item: (CDAPerformerBody)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:modeCode"
         id="tmp-r-c72964d9-42ca-4240-a608-9de5a69e2fd9">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9012-2014-04-03T162820.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerformerBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9012-2014-04-03T162820.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16543-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAPerformerBody): de elementwaarde MOET zijn ParticipationMode (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16543-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9012-2014-04-03T162820.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAPerformerBody): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst ParticipationMode (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9012
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity
Item: (CDAPerformerBody)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity"
         id="tmp-r-aad682a0-bc09-4d29-8234-ca18825cf992">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9012-2014-04-03T162820.html"
              test="count(hl7:id)&gt;=1 ">(CDAPerformerBody): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9012-2014-04-03T162820.html"
              test="count(hl7:code)&lt;=1">(CDAPerformerBody): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9012-2014-04-03T162820.html"
              test="count(hl7:addr)&lt;=1">(CDAPerformerBody): element hl7:addr komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9012-2014-04-03T162820.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAPerformerBody): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9012-2014-04-03T162820.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAPerformerBody): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9003
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity/hl7:id
Item: (CDAAssignedEntity)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-r-1f736999-a558-468d-813b-b127d66c9bf7">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9003
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (CDAAssignedEntity)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-r-5d5d1e1a-cfcd-496e-8e80-1ce419758ae6">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9003
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity/hl7:addr
Item: (CDAAssignedEntity)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity/hl7:addr"
         id="tmp-r-1eab02ad-bdb2-4855-9773-31b5be4146ed">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9003
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity/hl7:telecom
Item: (CDAAssignedEntity)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity/hl7:telecom"
         id="tmp-r-6b87874b-ce25-4b7c-ad81-614dd74b6f90">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9003
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAAssignedEntity)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-r-fff54850-df28-47db-8146-37b41b0ecc6e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(CDAAssignedEntity): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(CDAAssignedEntity): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9001
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-r-9f48c865-897e-4176-92e8-8f08a4a67484">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9001-2013-12-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9003
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAAssignedEntity)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-r-cc7dc94e-15ef-4290-ab90-7abb72d95e76">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="string(@classCode)='ORG' or not(@classCode)">(CDAAssignedEntity): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(CDAAssignedEntity): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&gt;=1 ">(CDAAssignedEntity): element hl7:id[@root='2.16.528.1.1007.3.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&lt;=1">(CDAAssignedEntity): element hl7:id[@root='2.16.528.1.1007.3.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="count(hl7:name)&gt;=1 ">(CDAAssignedEntity): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="count(hl7:name)&lt;=1">(CDAAssignedEntity): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAAssignedEntity): element hl7:addr komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAAssignedEntity): element hl7:standardIndustryClassCode komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (CDAOrganization)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-r-2e4a93cd-7c02-4e12-8d29-61fa1266620f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="string(@root)='2.16.528.1.1007.3.3'">(CDAOrganization): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (CDAOrganization)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id"
         id="tmp-r-88c8c410-0902-4190-91ee-8b0506d90562">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (CDAOrganization)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-r-3c360742-4b54-49e9-9624-d91f146c2055">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (CDAOrganization)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-8d33d573-ea36-4c6c-aab3-f45c5e97e6e3">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (CDAOrganization)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-r-7449760d-74b8-4e5e-89ac-d55be6f3ee08">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:standardIndustryClassCode"
         id="tmp-r-1b37833a-b7a9-4e2e-ac66-6094fc0a995b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:participant[hl7:participantRole[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]]
Item: (gebb-EncounterActivity)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:participant[hl7:participantRole[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="string(@typeCode)='LOC'">(gebb-EncounterActivity): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.3']]]
Item: (gebb-EncounterActivity)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.3']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="string(@typeCode)='RSON'">(gebb-EncounterActivity): de waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:entryRelationship
Item: (gebb-EncounterActivity)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:entryRelationship">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141013T173536/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="string(@typeCode)='COMP'">(gebb-EncounterActivity): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.4
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:entryRelationship
Item: (gebb-EncounterDiagnosis)
--></pattern>
